<?xml version="1.0" encoding="UTF-8"?>
<web-app xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns="http://xmlns.jcp.org/xml/ns/javaee"
	xsi:schemaLocation="http://xmlns.jcp.org/xml/ns/javaee
http://xmlns.jcp.org/xml/ns/javaee/web-app_4_0.xsd"
	id="WebApp_ID" version="4.0">
	<display-name>springmvc</display-name>
	
	
	<!-- Configuration du Front controller : DispatcherServlet -->
	
	<!-- La définition du Root Spring Container partagé par tous les servlets et filtres -->
	<context-param>
		<param-name>contextConfigLocation</param-name>
		<param-value>/WEB-INF/spring/root-context.xml</param-value>
	</context-param>
	<listener>
		<listener-class>org.springframework.web.context.ContextLoaderListener</listener-class>
	</listener>
	
    <!-- Déclaration de la Servlet -->
	<servlet>
		<servlet-name>springDispatchServlet</servlet-name>
		<servlet-class>org.springframework.web.servlet.DispatcherServlet</servlet-class>
		<!-- Configuration du Spring Web Application Context -->
		<init-param>
			<param-name>contextConfigLocation</param-name>
			<param-value>/WEB-INF/spring/servlet-context.xml</param-value>
		</init-param>
		<!-- Chargement de la servlet au démarrage du serveur d'application -->
		<load-on-startup>1</load-on-startup>
	</servlet>
	<!-- Mapping de la servlet -->
	<servlet-mapping>
		<servlet-name>springDispatchServlet</servlet-name>
		<url-pattern>/</url-pattern>
	</servlet-mapping>
    <error-page >
        <location>/pageerror</location>
    </error-page>
</web-app>